## electrum 3.2.3

=== contrib/requirements/requirements.txt ===
pyaes>=0.1a1
ecdsa>=0.9
requests
qrcode
protobuf
dnspython
jsonrpclib-pelix
PySocks>=1.6.6
qdarkstyle<3.0
typing>=3.0.0

=== electrum/gui/kivy/Makefile ===
PYTHON = python3

# needs kivy installed or in PYTHONPATH

.PHONY: theming apk clean

theming:
	$(PYTHON) -m kivy.atlas theming/light 1024 theming/light/*.png
prepare:
	# running pre build setup
	@cp tools/buildozer.spec ../../../buildozer.spec
	# copy electrum to main.py
	@cp ../../../run_electrum ../../../main.py
	@-if [ ! -d "../../.buildozer" ];then \
		cd ../../..; buildozer android debug;\
		cp -f electrum/gui/kivy/tools/blacklist.txt .buildozer/android/platform/python-for-android/src/blacklist.txt;\
		rm -rf ./.buildozer/android/platform/python-for-android/dist;\
	fi
apk:
	@make prepare
	@-cd ../../..; buildozer android debug deploy run
	@make clean
release:
	@make prepare
	@-cd ../../..; buildozer android release
	@make clean
clean:
	# Cleaning up
	# rename main.py to electrum
	@-rm ../../../main.py
	# remove buildozer.spec
	@-rm ../../../buildozer.spec

## electrum 1.8

=== debian/changelog ===
electrum (1.8-1) unstable; urgency=low

  * Initial Release.
    Closes: bug#704464

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Wed, 19 Jun 2013 21:44:47 +0530

=== debian/control ===
Source: electrum
Priority: optional
Section: utils
Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
Build-Depends: cdbs (>= 0.4.106~),
 debhelper,
 dh-buildinfo,
 devscripts,
 python,
 python-ecdsa,
 python-slowaes,
 pyqt4-dev-tools
Standards-Version: 3.9.4
Homepage: http://electrum.org/
Vcs-Git: git://anonscm.debian.org/pkg-bitcoin/electrum.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/electrum.git
X-Python-Version: >= 2.6

Package: python-electrum
Section: python
Architecture: all
Depends: ${misc:Depends},
 ${python:Depends},
 ${cdbs:Depends}
Description: Easy to use bitcoin client - python module
 This package provides a light weight bitcoin client which protects
 you from loosing your bitcoin in a backup mistake or computer
 failure. Also electrum does not require waiting time because it does
 not download bitcoin block chain.
 .
 This package provides electrum Python module which can be used to
 access bitcoin wallet from Python programs.

Package: electrum
Architecture: all
Depends: ${misc:Depends},
 ${cdbs:Depends},
 python-electrum (= ${binary:Version})
Description: Easy to use bitcoin client
 This package provides a light weight bitcoin client which protects
 you from loosing your bitcoin in a backup mistake or computer
 failure. Also electrum does not require waiting time because it does
 not download bitcoin block chain.
 .
 Features of the electurm are listed. below
   * Instant on: client does not download block chain, uses remote
     server
   * Forgiving: wallet can be recovered from secret seed.
   * Safe: seed or private keys are not sent to the server,
     information received from the server is verified using SPV.
   * No downtimes: several public servers are available, so one can
     switch instantly.
   * Ubiquitous: same wallet can be used on different server, it will
     auto syncrhonize.
   * Open: private keys can be exported into other clients.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/upstream-tarball.mk

include /usr/share/cdbs/1/class/python-distutils.mk


DEB_UPSTREAM_PACKAGE = Electrum
DEB_UPSTREAM_TARBALL_BASENAME = ${DEB_UPSTREAM_PACKAGE}-${DEB_UPSTREAM_VERSION}
DEB_UPSTREAM_TARBALL_EXTENSION = tar.gz

DEB_UPSTREAM_URL = http://download.electrum.org/download
DEB_UPSTREAM_TARBALL_MD5 = 9ed7ae90c792828c1f0546751f3131bd

package = electrum
python_module = python-$(package)


# dependency
electrum_depends = python-ecdsa, python-slowaes

# CDBS build depends
CDBS_BUILD_DEPENDS += , $(electrum_depends), pyqt4-dev-tools

# Suppress unneeded build-dependencies
CDBS_BUILD_DEPENDS_class_python-distutils_python =

# dependency for module
CDBS_DEPENDS_$(python_module) += $(electrum_depends)

# dependency for program
CDBS_DEPENDS_$(package) += python (>= 2.6)

# Move aes and ecdsa from build directory to let package link against
# the python-ecdsa and python-slowaes
DEB_UPSTREAM_CRUFT_MOVE = ecdsa aes

# Ignore graphics and .mo files in addition to the default debian files
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(locale/.*/.*\.mo|data/dark/.*\.png|icons/.*\.png|LICENSE|debian/(changelog|copyright(|_hints|_newhints)|electrum.translations))$

pre-build::
	python mki18n.py
	pyrcc4 icons.qrc -o gui/icons_rc.py

=== debian/watch ===
version = 3
opts=uversionmangle=s/(\d)(alpha|beta|rc)/$1~$2/,dversionmangle=s/~dfsg\d*// \
 http://download.electrum.org/download/Electrum-(\d[\d\.]+)\.tar\.gz

## electrum 1.9.7

=== debian/changelog ===
electrum (1.9.7-1) unstable; urgency=medium

  [ Vasudev Kamath ]
  * Add Tristan Seligmann as uploader in debian/control.in
  * Build-Depends added to debian/control moved to debian/rules for clean
    regeneration of control using CDBS.
  * Rename dont_use_local_share.patch to follow patch naming micro
    guidelines as defined in debian/patches/README.
  * Clean up patch headers of dont_use_local_share.patch
  * Add README.source describing some CDBS conventions used in the package.

  [ Tristan Seligmann ]
  * New upstream release.
  * Bump Standards-Version.
  * python-qt4 dependency is actually present again after I accidentally broke
    it in the last version (closes: #733592).

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 15 Jan 2014 01:52:20 +0200

electrum (1.9.5-1) unstable; urgency=low

  [ Tristan Seligmann ]
  * New upstream release (closes: #730353).
    - Contacts bugfix included in 1.8.1 (closes: #727232).
  * Add myself to Uploaders.
  * Acknowledge NMU.
  * Update watch file.
  * Update mk18n.py patch and ship new translations file.
  * Bump dependency on python-ecdsa for secp256k1.
  * Remove deprecated CDBS dependency management.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 11 Dec 2013 11:52:51 +0200

electrum (1.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "electrum fails to launch from terminal":
    add dependency on python-qt4.
    (Closes: #724750)

 -- gregor herrmann <gregoa@debian.org>  Mon, 04 Nov 2013 19:29:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,19 @@
 Priority: optional
 Section: utils
 Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
-Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
+Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>,
+ Tristan Seligmann <mithrandi@debian.org>
 Build-Depends: cdbs (>= 0.4.106~),
  debhelper,
  dh-buildinfo,
  devscripts,
  python,
- python-ecdsa,
+ python-ecdsa (>= 0.9~),
  python-slowaes,
+ python-qt4,
+ python-setuptools,
  pyqt4-dev-tools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://electrum.org/
 Vcs-Git: git://anonscm.debian.org/pkg-bitcoin/electrum.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/electrum.git

=== debian/rules ===
--- 
+++ 
@@ -12,17 +12,17 @@
 DEB_UPSTREAM_TARBALL_EXTENSION = tar.gz
 
 DEB_UPSTREAM_URL = http://download.electrum.org/download
-DEB_UPSTREAM_TARBALL_MD5 = 9ed7ae90c792828c1f0546751f3131bd
+DEB_UPSTREAM_TARBALL_MD5 = 5764f38d6e4bc287a577c8d16e797882
 
 package = electrum
 python_module = python-$(package)
 
 
 # dependency
-electrum_depends = python-ecdsa, python-slowaes
+electrum_depends = python-ecdsa (>= 0.9~), python-slowaes, python-qt4
 
 # CDBS build depends
-CDBS_BUILD_DEPENDS += , $(electrum_depends), pyqt4-dev-tools
+CDBS_BUILD_DEPENDS += , $(electrum_depends), python-setuptools, pyqt4-dev-tools
 
 # Suppress unneeded build-dependencies
 CDBS_BUILD_DEPENDS_class_python-distutils_python =

=== debian/watch ===
version = 3
http://electrum.org/download.html \
    (?:|.*/)Electrum(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## electrum 1.9.8

=== debian/changelog ===
electrum (1.9.8-4) unstable; urgency=medium

  [ Tristan Seligmann ]
  * Backport upstream patch fixing wallet wizard (closes: #764138).

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 13 Jan 2015 13:29:08 +0200

electrum (1.9.8-3) unstable; urgency=medium

  * Backport upstream change to use PROTOCOL_SSL23 instead of
    PROTOCOL_SSL3 which was removed in python 2.7.8-12 (closes: #770392).
  * Make some additional description fixes.
    - Thanks to Carlo Stemberger this time.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 23 Nov 2014 09:59:37 +0200

electrum (1.9.8-2) unstable; urgency=medium

  * Update / fix package description.
    - Thanks to Duncan de Wet for the updated description.
  * Bump Standards-Version to 3.9.6.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 05 Oct 2014 03:09:37 +0200

electrum (1.9.8-1) unstable; urgency=medium

  * New upstream release.
  * Update translations patch and translations.
  * Install upstream changelog.
  * Enable PGP signature checking in uscan.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 04 May 2014 10:30:45 +0200

=== debian/control ===
Source: electrum
Priority: optional
Section: utils
Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>,
 Tristan Seligmann <mithrandi@debian.org>
Build-Depends: cdbs (>= 0.4.106~),
 debhelper,
 dh-buildinfo,
 devscripts,
 python,
 python-ecdsa (>= 0.9~),
 python-slowaes,
 python-qt4,
 python-setuptools,
 pyqt4-dev-tools
Standards-Version: 3.9.6
Homepage: http://electrum.org/
Vcs-Git: git://anonscm.debian.org/pkg-bitcoin/electrum.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/electrum.git
X-Python-Version: >= 2.6

Package: python-electrum
Section: python
Architecture: all
Depends: ${misc:Depends},
 ${python:Depends},
 ${cdbs:Depends}
Description: Easy to use Bitcoin client - Python module
 This package provides a lightweight Bitcoin client which protects
 you from losing your bitcoins in a backup mistake or computer
 failure. Also, Electrum does not require waiting time because it does
 not download the Bitcoin blockchain.
 .
 This package provides the "electrum" Python module which can be used to access
 a Bitcoin wallet from Python programs.

Package: electrum
Architecture: all
Depends: ${misc:Depends},
 ${cdbs:Depends},
 python-electrum (= ${binary:Version})
Description: Easy to use bitcoin client
 This package provides a lightweight Bitcoin client which protects
 you from losing your bitcoins in a backup mistake or computer
 failure. Also, Electrum does not require waiting time because it does
 not download the Bitcoin blockchain.
 .
 Features of Electrum:
 .
   * Instant on: Your client does not download the blockchain. It uses a
     network of specialized servers that index the blockchain.
   * Forgiving: Your wallet can be recovered from a secret seed.
   * Safe: Your seed and private keys are encrypted on your hard drive.
     They are never sent to the servers.
   * Low trust: Information received from the servers is verified using
     SPV. Servers are authenticated using SSL.
   * No downtimes: Your client is not tied to a particular server; it
     will switch instantly if your server is down.
   * Ubiquitous: You can use the same wallet on different computers, they
     will synchronize automatically.
   * Cold Storage: Sign transactions from a computer that is always
     offline. Broadcast them using a machine that does not have your keys.
   * Reachable: You can export your private keys into other Bitcoin
     clients.
   * Established: Electrum is open source and was first released in
     November 2011.

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,8 @@
 DEB_UPSTREAM_TARBALL_BASENAME = ${DEB_UPSTREAM_PACKAGE}-${DEB_UPSTREAM_VERSION}
 DEB_UPSTREAM_TARBALL_EXTENSION = tar.gz
 
-DEB_UPSTREAM_URL = http://download.electrum.org/download
-DEB_UPSTREAM_TARBALL_MD5 = 5764f38d6e4bc287a577c8d16e797882
+DEB_UPSTREAM_URL = https://download.electrum.org
+DEB_UPSTREAM_TARBALL_MD5 = e3918fec0254267f08e41a1fb8691382
 
 package = electrum
 python_module = python-$(package)
@@ -40,6 +40,8 @@
 # Ignore graphics and .mo files in addition to the default debian files
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(locale/.*/.*\.mo|data/dark/.*\.png|icons/.*\.png|LICENSE|debian/(changelog|copyright(|_hints|_newhints)|electrum.translations))$
 
+DEB_INSTALL_CHANGELOGS_ALL=RELEASE-NOTES
+
 pre-build::
 	python mki18n.py
 	pyrcc4 icons.qrc -o gui/icons_rc.py

=== debian/watch ===
version = 3
opts=pgpsigurlmangle=s/$/.asc/ http://electrum.org/download.html \
    (?:|.*/)Electrum(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## electrum 2.7.9

=== debian/changelog ===
electrum (2.7.9-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 23 Nov 2016 14:32:35 +0200

electrum (2.6.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 22 May 2016 03:59:05 +0200

electrum (2.6.3-1) unstable; urgency=medium

  * New upstream release.
    - Drop backported install-wizard-connect.patch.
  * Add Suggests: python-zbar and update the installation hint to suggest
    apt-get instead of pip (closes: #819517).
  * Bump Standards-Version to 3.9.7 (no changes).
  * Update Vcs-* links.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 04 Apr 2016 03:02:39 +0200

electrum (2.5.4-2) unstable; urgency=medium

  * Backport upstream patch (e9ee851b) for install wizard issue.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 04 Dec 2015 08:20:45 +0200

electrum (2.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 12 Nov 2015 19:47:32 +0200

electrum (2.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 12 Nov 2015 01:59:53 +0200

electrum (2.5.2-2) unstable; urgency=medium

  * Add python-qt4 to Recommends, as most users will want this installed
    for the GUI to work (closes: #803422).

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 30 Oct 2015 09:05:12 +0200

electrum (2.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 30 Oct 2015 07:40:24 +0200

electrum (2.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 23 Oct 2015 21:00:40 +0200

electrum (2.4.4-1) unstable; urgency=low

  * New upstream release.
    - No longer need to repack, docs removed upstream due to being
      outdated / deprecated.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 24 Aug 2015 00:44:34 +0200

electrum (2.4.2+dfsg1-1) unstable; urgency=low

  [ Vasudev Kamath ]
  * Drop myself from uploaders.

  [ Tristan Seligmann ]
  * New upstream release (closes: #792231, #788538).
    - Update debian/watch.
    - Remove 3001_dont_fetch_translations_from_web.patch: obsolete.
    - Remove 2001_add_tailing_semicolon.patch: merged upstream.
    - Remove 2002_dont_use_local_share.patch: obsolete.
    - Remove 1001_use_sslv23_method.patch: merged upstream.
    - Remove 1002_qt_compatibility.patch: merged upstream.
    - Repack upstream tarball to remove prebuilt sphinx docs which contain
      some JavaScript libraries without source.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 20 Aug 2015 23:55:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,30 @@
 Source: electrum
+Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
+Uploaders: Tristan Seligmann <mithrandi@debian.org>
+Section: utils
 Priority: optional
-Section: utils
-Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
-Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>,
- Tristan Seligmann <mithrandi@debian.org>
-Build-Depends: cdbs (>= 0.4.106~),
- debhelper,
- dh-buildinfo,
+Build-Depends:
+ debhelper (>= 9),
  devscripts,
+ dh-python,
+ pyqt4-dev-tools,
  python,
- python-ecdsa (>= 0.9~),
- python-slowaes,
+ python-ecdsa,
  python-qt4,
  python-setuptools,
- pyqt4-dev-tools
-Standards-Version: 3.9.6
+ python-slowaes,
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/git/pkg-bitcoin/electrum.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-bitcoin/electrum.git
 Homepage: http://electrum.org/
-Vcs-Git: git://anonscm.debian.org/pkg-bitcoin/electrum.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/electrum.git
 X-Python-Version: >= 2.6
 
 Package: python-electrum
+Architecture: all
 Section: python
-Architecture: all
-Depends: ${misc:Depends},
- ${python:Depends},
- ${cdbs:Depends}
+Depends: ${misc:Depends}, ${python:Depends}
+Breaks: electrum (<= 2.3.1~)
+Replaces: electrum
 Description: Easy to use Bitcoin client - Python module
  This package provides a lightweight Bitcoin client which protects
  you from losing your bitcoins in a backup mistake or computer
@@ -37,10 +36,13 @@
 
 Package: electrum
 Architecture: all
-Depends: ${misc:Depends},
- ${cdbs:Depends},
- python-electrum (= ${binary:Version})
-Description: Easy to use bitcoin client
+Depends:
+ python-electrum (= ${binary:Version}),
+ ${misc:Depends},
+ ${python:Depends},
+Recommends: python-qt4
+Suggests: python-btchip, python-trezor, python-zbar
+Description: Easy to use Bitcoin client
  This package provides a lightweight Bitcoin client which protects
  you from losing your bitcoins in a backup mistake or computer
  failure. Also, Electrum does not require waiting time because it does

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=electrum

# Ignore graphics and .mo files in addition to the default debian files
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(locale/.*/.*\.mo|data/dark/.*\.png|icons/.*\.png|LICENSE|debian/(changelog|copyright(|_hints|_newhints)|electrum.translations))$

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_installchangelogs::
	dh_installchangelogs -k RELEASE-NOTES

override_dh_auto_build::
	pyrcc4 icons.qrc -o gui/icons_rc.py
	dh_auto_build

override_dh_auto_install::
	dh_auto_install
	mkdir -p debian/electrum/usr/bin debian/electrum/usr/share
	mv debian/python-electrum/usr/bin debian/electrum/usr
	mv debian/python-electrum/usr/share/applications \
	   debian/electrum/usr/share

## electrum 2.7.9-1+8.0trisquel1

=== debian/changelog ===
electrum (2.7.9-1+8.0trisquel1) flidas; urgency=medium

  * Imported from debian testing

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 09 Apr 2017 04:22:42 +0000

## electrum 3.2.3

=== debian/changelog ===
electrum (3.2.3-1) unstable; urgency=medium

  * New upstream release.
    - Fix build issues (closes: #910306).
  * Bump Standards-Version to 4.2.1 (no changes).
  * Update debian/copyright.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 22 Oct 2018 07:20:00 +0200

electrum (3.1.3-1) unstable; urgency=medium

  * Update maintainer address (I am effectively the sole maintainer);
    closes: #899486.
  * Move git repository to Salsa.
  * New upstream release.
    - Drop patches (applied upstream).
  * Bump Standards-Version to 4.1.4 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 10 Jun 2018 19:24:45 +0200

electrum (3.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 12 Mar 2018 21:42:01 +0200

electrum (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat level to 11.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 10 Mar 2018 18:35:06 +0200

electrum (3.0.6-1) unstable; urgency=medium

  * New upstream release.
    - Fixes an issue with parsing some transactions.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 10 Feb 2018 23:25:59 +0200

electrum (3.0.5-1) unstable; urgency=high

  * New upstream release.
    - JSON-RPC interface is now password protected for further security,
      and locked down when using the GUI.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 08 Jan 2018 03:49:04 +0200

electrum (3.0.4-1) unstable; urgency=high

  * New upstream release.
    - Fixes a security issue allowing hostile JavaScript to access the
      JSON-RPC server: https://github.com/spesmilo/electrum/issues/3374
  * Fix debian/copyright for new vendored packages.
  * Bump Standards-Version to 4.1.3 (no changes).
  * Bump debhelper compat level to 10.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 07 Jan 2018 03:43:55 +0200

electrum (3.0.3-1) unstable; urgency=medium

  * New upstream release (closes: #881703).

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 18 Nov 2017 12:49:34 +0200

electrum (2.9.3-1) unstable; urgency=medium

  * New upstream release (closes: #870081, #875828, #878288).
    - Cold storage signing issue fixed (closes: #870081).
    - Drop slowaes dependency, add pycryptodome + pyaes.
  * Add some other missing dependencies.
  * Fixed a typo ("defaut") in the man page.
  * Update copyright file to properly cover "packages".

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 23 Nov 2016 14:32:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,36 @@
 Source: electrum
-Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
-Uploaders: Tristan Seligmann <mithrandi@debian.org>
+Maintainer: Tristan Seligmann <mithrandi@debian.org>
 Section: utils
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  devscripts,
  dh-python,
- pyqt4-dev-tools,
- python,
- python-ecdsa,
- python-qt4,
- python-setuptools,
- python-slowaes,
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/pkg-bitcoin/electrum.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-bitcoin/electrum.git
+ pyqt5-dev-tools,
+ python3,
+ python3-dnspython,
+ python3-ecdsa,
+ python3-jsonrpclib-pelix,
+ python3-pbkdf2,
+ python3-protobuf,
+ python3-pyaes,
+ python3-pycryptodome,
+ python3-pyqt5,
+ python3-qrcode,
+ python3-requests,
+ python3-setuptools,
+ python3-socks,
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/mithrandi/electrum.git
+Vcs-Browser: https://salsa.debian.org/mithrandi/electrum
 Homepage: http://electrum.org/
-X-Python-Version: >= 2.6
 
-Package: python-electrum
+Package: python3-electrum
 Architecture: all
 Section: python
-Depends: ${misc:Depends}, ${python:Depends}
-Breaks: electrum (<= 2.3.1~)
-Replaces: electrum
+Depends: ${misc:Depends}, ${python3:Depends}
+Breaks: electrum (<= 2.3.1~), python-electrum (<= 3.0.2~)
+Replaces: electrum, python-electrum
 Description: Easy to use Bitcoin client - Python module
  This package provides a lightweight Bitcoin client which protects
  you from losing your bitcoins in a backup mistake or computer
@@ -37,11 +43,11 @@
 Package: electrum
 Architecture: all
 Depends:
- python-electrum (= ${binary:Version}),
+ python3-electrum (= ${binary:Version}),
  ${misc:Depends},
- ${python:Depends},
-Recommends: python-qt4
-Suggests: python-btchip, python-trezor, python-zbar
+ ${python3:Depends},
+Recommends: python3-pyqt5
+Suggests: python3-btchip, python3-trezor, python3-zbar
 Description: Easy to use Bitcoin client
  This package provides a lightweight Bitcoin client which protects
  you from losing your bitcoins in a backup mistake or computer

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=electrum

# Ignore graphics and .mo files in addition to the default debian files
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(locale/.*/.*\.mo|data/dark/.*\.png|icons/.*\.png|LICENSE|debian/(changelog|copyright(|_hints|_newhints)|electrum.translations))$

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs::
	dh_installchangelogs -k RELEASE-NOTES

override_dh_auto_build::
	pyrcc5 icons.qrc -o electrum/gui/icons_rc.py
	dh_auto_build

override_dh_auto_install::
	mkdir -p debian/python3-electrum/usr/share
	dh_auto_install
	mkdir -p debian/electrum/usr/bin debian/electrum/usr/share
	mv debian/python3-electrum/usr/bin debian/electrum/usr
	mv debian/python3-electrum/usr/share/* \
	   debian/electrum/usr/share
	rm debian/python3-electrum/usr/lib/python3*/dist-packages/electrum/plugins/revealer/*.?tf

## electrum 3.3.8

=== debian/changelog ===
electrum (3.3.8-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - Fix critical vulnerability allowing certain malicious servers to display
      fishing messages to the user (Closes: #921688)
    - debian/control: Update the build-dependencies
  * debian/rules: Stop calling pyrcc5, this is not needed anymore
  * Do not move files in debian/rules but use debian/*.install files
  * debian/control: Add proper Breaks/Replaces for electrum.png being moved
    between packages (Closes: #912042)
  * debian/control: revealer plugin seems to explicitly use "DejaVu Sans Mono"
    font, recommend fonts-dejavu-core accordingly. Do not delete
    SourceSansPro-Bold.otf font anymore as it's also explicitly used, but not
    part of any public font package
  * debian/control: Bump Standards-Version to 4.4.0 (no further changes)
  * debian/control: Add libsecp256k1-0 to the Recommends, it is used to speed
    up elliptic curve operations (Closes: #913760)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 07 Sep 2019 10:34:31 +0200

## electrum 3.3.8-0.1+9.0trisquel1

=== debian/changelog ===
electrum (3.3.8-0.1+9.0trisquel1) etiona; urgency=medium

  * Backported from debian testing

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 14 Dec 2019 02:45:13 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,10 @@
  dh-python,
  pyqt5-dev-tools,
  python3,
+ python3-aiohttp,
+ python3-aiohttp-socks,
+ python3-aiorpcx,
+ python3-certifi,
  python3-dnspython,
  python3-ecdsa,
  python3-jsonrpclib-pelix,
@@ -17,10 +21,8 @@
  python3-pycryptodome,
  python3-pyqt5,
  python3-qrcode,
- python3-requests,
  python3-setuptools,
- python3-socks,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/mithrandi/electrum.git
 Vcs-Browser: https://salsa.debian.org/mithrandi/electrum
 Homepage: http://electrum.org/
@@ -29,8 +31,9 @@
 Architecture: all
 Section: python
 Depends: ${misc:Depends}, ${python3:Depends}
+Recommends: fonts-dejavu-core, libsecp256k1-0
 Breaks: electrum (<= 2.3.1~), python-electrum (<= 3.0.2~)
-Replaces: electrum, python-electrum
+Replaces: electrum (<= 2.3.1~), python-electrum
 Description: Easy to use Bitcoin client - Python module
  This package provides a lightweight Bitcoin client which protects
  you from losing your bitcoins in a backup mistake or computer
@@ -48,6 +51,8 @@
  ${python3:Depends},
 Recommends: python3-pyqt5
 Suggests: python3-btchip, python3-trezor, python3-zbar
+Breaks: python3-electrum (<< 3.2.3-1~)
+Replaces: python3-electrum (<< 3.2.3-1~)
 Description: Easy to use Bitcoin client
  This package provides a lightweight Bitcoin client which protects
  you from losing your bitcoins in a backup mistake or computer

=== debian/rules ===
#!/usr/bin/make -f

# Ignore graphics and .mo files in addition to the default debian files
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(locale/.*/.*\.mo|data/dark/.*\.png|icons/.*\.png|LICENSE|debian/(changelog|copyright(|_hints|_newhints)|electrum.translations))$

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs::
	dh_installchangelogs -k RELEASE-NOTES

override_dh_auto_install::
	dh_auto_install
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/revealer/DejaVuSansMono-Bold.ttf

## electrum 4.0.9

=== contrib/deterministic-build/requirements.txt ===
aiohttp==3.7.3 \
    --hash=sha256:0b795072bb1bf87b8620120a6373a3c61bfcb8da7e5c2377f4bb23ff4f0b62c9 \
    --hash=sha256:0d438c8ca703b1b714e82ed5b7a4412c82577040dadff479c08405e2a715564f \
    --hash=sha256:16a3cb5df5c56f696234ea9e65e227d1ebe9c18aa774d36ff42f532139066a5f \
    --hash=sha256:1edfd82a98c5161497bbb111b2b70c0813102ad7e0aa81cbeb34e64c93863005 \
    --hash=sha256:2406dc1dda01c7f6060ab586e4601f18affb7a6b965c50a8c90ff07569cf782a \
    --hash=sha256:2858b2504c8697beb9357be01dc47ef86438cc1cb36ecb6991796d19475faa3e \
    --hash=sha256:2a7b7640167ab536c3cb90cfc3977c7094f1c5890d7eeede8b273c175c3910fd \
    --hash=sha256:3228b7a51e3ed533f5472f54f70fd0b0a64c48dc1649a0f0e809bec312934d7a \
    --hash=sha256:328b552513d4f95b0a2eea4c8573e112866107227661834652a8984766aa7656 \
    --hash=sha256:39f4b0a6ae22a1c567cb0630c30dd082481f95c13ca528dc501a7766b9c718c0 \
    --hash=sha256:3b0036c978cbcc4a4512278e98e3e6d9e6b834dc973206162eddf98b586ef1c6 \
    --hash=sha256:3ea8c252d8df5e9166bcf3d9edced2af132f4ead8ac422eac723c5781063709a \
    --hash=sha256:41608c0acbe0899c852281978492f9ce2c6fbfaf60aff0cefc54a7c4516b822c \
    --hash=sha256:59d11674964b74a81b149d4ceaff2b674b3b0e4d0f10f0be1533e49c4a28408b \
    --hash=sha256:5e479df4b2d0f8f02133b7e4430098699450e1b2a826438af6bec9a400530957 \
    --hash=sha256:684850fb1e3e55c9220aad007f8386d8e3e477c4ec9211ae54d968ecdca8c6f9 \
    --hash=sha256:6ccc43d68b81c424e46192a778f97da94ee0630337c9bbe5b2ecc9b0c1c59001 \
    --hash=sha256:6d42debaf55450643146fabe4b6817bb2a55b23698b0434107e892a43117285e \
    --hash=sha256:710376bf67d8ff4500a31d0c207b8941ff4fba5de6890a701d71680474fe2a60 \
    --hash=sha256:756ae7efddd68d4ea7d89c636b703e14a0c686688d42f588b90778a3c2fc0564 \
    --hash=sha256:77149002d9386fae303a4a162e6bce75cc2161347ad2ba06c2f0182561875d45 \
    --hash=sha256:78e2f18a82b88cbc37d22365cf8d2b879a492faedb3f2975adb4ed8dfe994d3a \
    --hash=sha256:7d9b42127a6c0bdcc25c3dcf252bb3ddc70454fac593b1b6933ae091396deb13 \
    --hash=sha256:8389d6044ee4e2037dca83e3f6994738550f6ee8cfb746762283fad9b932868f \
    --hash=sha256:9c1a81af067e72261c9cbe33ea792893e83bc6aa987bfbd6fdc1e5e7b22777c4 \
    --hash=sha256:c1e0920909d916d3375c7a1fdb0b1c78e46170e8bb42792312b6eb6676b2f87f \
    --hash=sha256:c68fdf21c6f3573ae19c7ee65f9ff185649a060c9a06535e9c3a0ee0bbac9235 \
    --hash=sha256:c733ef3bdcfe52a1a75564389bad4064352274036e7e234730526d155f04d914 \
    --hash=sha256:c9c58b0b84055d8bc27b7df5a9d141df4ee6ff59821f922dd73155861282f6a3 \
    --hash=sha256:d03abec50df423b026a5aa09656bd9d37f1e6a49271f123f31f9b8aed5dc3ea3 \
    --hash=sha256:d2cfac21e31e841d60dc28c0ec7d4ec47a35c608cb8906435d47ef83ffb22150 \
    --hash=sha256:dcc119db14757b0c7bce64042158307b9b1c76471e655751a61b57f5a0e4d78e \
    --hash=sha256:df3a7b258cc230a65245167a202dd07320a5af05f3d41da1488ba0fa05bc9347 \
    --hash=sha256:df48a623c58180874d7407b4d9ec06a19b84ed47f60a3884345b1a5099c1818b \
    --hash=sha256:e1b95972a0ae3f248a899cdbac92ba2e01d731225f566569311043ce2226f5e7 \
    --hash=sha256:f326b3c1bbfda5b9308252ee0dcb30b612ee92b0e105d4abec70335fab5b1245 \
    --hash=sha256:f411cb22115cb15452d099fec0ee636b06cf81bfb40ed9c02d30c8dc2bc2e3d1
aiohttp-socks==0.5.5 \
    --hash=sha256:2eb2059756bde34c55bb429541cbf2eba3fd53e36ac80875b461221e2858b04a \
    --hash=sha256:faaa25ed4dc34440ca888d23e089420f3b1918dc4ecf062c3fd9474827ad6a39
aiorpcX==0.18.4 \
    --hash=sha256:bec9c0feb328d62ba80b79931b07f7372c98f2891ad51300be0b7163d5ccfb4a \
    --hash=sha256:d424a55bcf52ebf1b3610a7809c0748fac91ce926854ad33ce952463bc6017e8
async-timeout==3.0.1 \
    --hash=sha256:0c3c816a028d47f659d6ff5c745cb2acf1f966da1fe5c19c77a70282b25f4c5f \
    --hash=sha256:4291ca197d287d274d0b6cb5d6f8f8f82d434ed288f962539ff18cc9012f9ea3
attrs==20.3.0 \
    --hash=sha256:31b2eced602aa8423c2aea9c76a724617ed67cf9513173fd3a4f03e3a929c7e6 \
    --hash=sha256:832aa3cde19744e49938b91fea06d69ecb9e649c93ba974535d08ad92164f700
bitstring==3.1.7 \
    --hash=sha256:fdf3eb72b229d2864fb507f8f42b1b2c57af7ce5fec035972f9566de440a864a
certifi==2020.12.5 \
    --hash=sha256:1a4995114262bffbc2413b159f2a1a480c969de6e6eb13ee966d470af86af59c \
    --hash=sha256:719a74fb9e33b9bd44cc7f3a8d94bc35e4049deebe19ba7d8e108280cfd59830
chardet==3.0.4 \
    --hash=sha256:84ab92ed1c4d4f16916e05906b6b75a6c0fb5db821cc65e70cbd64a3e2a5eaae \
    --hash=sha256:fc323ffcaeaed0e0a02bf4d117757b98aed530d9ed4531e3e15460124c106691
dnspython==2.0.0 \
    --hash=sha256:044af09374469c3a39eeea1a146e8cac27daec951f1f1f157b1962fc7cb9d1b7 \
    --hash=sha256:40bb3c24b9d4ec12500f0124288a65df232a3aa749bb0c39734b782873a2544d
helpdev==0.7.1 \
    --hash=sha256:779a761b18c2d96fb181aa699609f802347806125f2fee2f60dad875a625e38e \
    --hash=sha256:bb62a79acbac141dadf42cadeb92bb7450dd18b9824a62043b6a0b149190db3d
idna==2.10 \
    --hash=sha256:b307872f855b18632ce0c21c5e45be78c0ea7ae4c15c828c20788b26921eb3f6 \
    --hash=sha256:b97d804b1e9b523befed77c48dacec60e6dcb0b5391d57af6a65a312a90648c0
idna_ssl==1.1.0 \
    --hash=sha256:a933e3bb13da54383f9e8f35dc4f9cb9eb9b3b78c6b36f311254d6d0d92c6c7c
importlib-metadata==3.1.1 \
    --hash=sha256:6112e21359ef8f344e7178aa5b72dc6e62b38b0d008e6d3cb212c5b84df72013 \
    --hash=sha256:b0c2d3b226157ae4517d9625decf63591461c66b3a808c2666d538946519d170
multidict==5.1.0 \
    --hash=sha256:018132dbd8688c7a69ad89c4a3f39ea2f9f33302ebe567a879da8f4ca73f0d0a \
    --hash=sha256:051012ccee979b2b06be928a6150d237aec75dd6bf2d1eeeb190baf2b05abc93 \
    --hash=sha256:05c20b68e512166fddba59a918773ba002fdd77800cad9f55b59790030bab632 \
    --hash=sha256:07b42215124aedecc6083f1ce6b7e5ec5b50047afa701f3442054373a6deb656 \
    --hash=sha256:0e3c84e6c67eba89c2dbcee08504ba8644ab4284863452450520dad8f1e89b79 \
    --hash=sha256:0e929169f9c090dae0646a011c8b058e5e5fb391466016b39d21745b48817fd7 \
    --hash=sha256:1ab820665e67373de5802acae069a6a05567ae234ddb129f31d290fc3d1aa56d \
    --hash=sha256:25b4e5f22d3a37ddf3effc0710ba692cfc792c2b9edfb9c05aefe823256e84d5 \
    --hash=sha256:2e68965192c4ea61fff1b81c14ff712fc7dc15d2bd120602e4a3494ea6584224 \
    --hash=sha256:2f1a132f1c88724674271d636e6b7351477c27722f2ed789f719f9e3545a3d26 \
    --hash=sha256:37e5438e1c78931df5d3c0c78ae049092877e5e9c02dd1ff5abb9cf27a5914ea \
    --hash=sha256:3a041b76d13706b7fff23b9fc83117c7b8fe8d5fe9e6be45eee72b9baa75f348 \
    --hash=sha256:3a4f32116f8f72ecf2a29dabfb27b23ab7cdc0ba807e8459e59a93a9be9506f6 \
    --hash=sha256:46c73e09ad374a6d876c599f2328161bcd95e280f84d2060cf57991dec5cfe76 \
    --hash=sha256:46dd362c2f045095c920162e9307de5ffd0a1bfbba0a6e990b344366f55a30c1 \
    --hash=sha256:4b186eb7d6ae7c06eb4392411189469e6a820da81447f46c0072a41c748ab73f \
    --hash=sha256:54fd1e83a184e19c598d5e70ba508196fd0bbdd676ce159feb412a4a6664f952 \
    --hash=sha256:585fd452dd7782130d112f7ddf3473ffdd521414674c33876187e101b588738a \
    --hash=sha256:5cf3443199b83ed9e955f511b5b241fd3ae004e3cb81c58ec10f4fe47c7dce37 \
    --hash=sha256:6a4d5ce640e37b0efcc8441caeea8f43a06addace2335bd11151bc02d2ee31f9 \
    --hash=sha256:7df80d07818b385f3129180369079bd6934cf70469f99daaebfac89dca288359 \
    --hash=sha256:806068d4f86cb06af37cd65821554f98240a19ce646d3cd24e1c33587f313eb8 \
    --hash=sha256:830f57206cc96ed0ccf68304141fec9481a096c4d2e2831f311bde1c404401da \
    --hash=sha256:929006d3c2d923788ba153ad0de8ed2e5ed39fdbe8e7be21e2f22ed06c6783d3 \
    --hash=sha256:9436dc58c123f07b230383083855593550c4d301d2532045a17ccf6eca505f6d \
    --hash=sha256:9dd6e9b1a913d096ac95d0399bd737e00f2af1e1594a787e00f7975778c8b2bf \
    --hash=sha256:ace010325c787c378afd7f7c1ac66b26313b3344628652eacd149bdd23c68841 \
    --hash=sha256:b47a43177a5e65b771b80db71e7be76c0ba23cc8aa73eeeb089ed5219cdbe27d \
    --hash=sha256:b797515be8743b771aa868f83563f789bbd4b236659ba52243b735d80b29ed93 \
    --hash=sha256:b7993704f1a4b204e71debe6095150d43b2ee6150fa4f44d6d966ec356a8d61f \
    --hash=sha256:d5c65bdf4484872c4af3150aeebe101ba560dcfb34488d9a8ff8dbcd21079647 \
    --hash=sha256:d81eddcb12d608cc08081fa88d046c78afb1bf8107e6feab5d43503fea74a635 \
    --hash=sha256:dc862056f76443a0db4509116c5cd480fe1b6a2d45512a653f9a855cc0517456 \
    --hash=sha256:ecc771ab628ea281517e24fd2c52e8f31c41e66652d07599ad8818abaad38cda \
    --hash=sha256:f200755768dc19c6f4e2b672421e0ebb3dd54c38d5a4f262b872d8cfcc9e93b5 \
    --hash=sha256:f21756997ad8ef815d8ef3d34edd98804ab5ea337feedcd62fb52d22bf531281 \
    --hash=sha256:fc13a9524bc18b6fb6e0dbec3533ba0496bbed167c56d0aabefd965584557d80
pip==20.1.1 \
    --hash=sha256:27f8dc29387dd83249e06e681ce087e6061826582198a425085e0bf4c1cf3a55 \
    --hash=sha256:b27c4dedae8c41aa59108f2fa38bf78e0890e590545bc8ece7cdceb4ba60f6e4
protobuf==3.14.0 \
    --hash=sha256:0e247612fadda953047f53301a7b0407cb0c3cb4ae25a6fde661597a04039b3c \
    --hash=sha256:0fc96785262042e4863b3f3b5c429d4636f10d90061e1840fce1baaf59b1a836 \
    --hash=sha256:1c51fda1bbc9634246e7be6016d860be01747354ed7015ebe38acf4452f470d2 \
    --hash=sha256:1d63eb389347293d8915fb47bee0951c7b5dab522a4a60118b9a18f33e21f8ce \
    --hash=sha256:22bcd2e284b3b1d969c12e84dc9b9a71701ec82d8ce975fdda19712e1cfd4e00 \
    --hash=sha256:2a7e2fe101a7ace75e9327b9c946d247749e564a267b0515cf41dfe450b69bac \
    --hash=sha256:43b554b9e73a07ba84ed6cf25db0ff88b1e06be610b37656e292e3cbb5437472 \
    --hash=sha256:4b74301b30513b1a7494d3055d95c714b560fbb630d8fb9956b6f27992c9f980 \
    --hash=sha256:4e75105c9dfe13719b7293f75bd53033108f4ba03d44e71db0ec2a0e8401eafd \
    --hash=sha256:5b7a637212cc9b2bcf85dd828b1178d19efdf74dbfe1ddf8cd1b8e01fdaaa7f5 \
    --hash=sha256:5e9806a43232a1fa0c9cf5da8dc06f6910d53e4390be1fa06f06454d888a9142 \
    --hash=sha256:629b03fd3caae7f815b0c66b41273f6b1900a579e2ccb41ef4493a4f5fb84f3a \
    --hash=sha256:72230ed56f026dd664c21d73c5db73ebba50d924d7ba6b7c0d81a121e390406e \
    --hash=sha256:86a75477addde4918e9a1904e5c6af8d7b691f2a3f65587d73b16100fbe4c3b2 \
    --hash=sha256:8971c421dbd7aad930c9bd2694122f332350b6ccb5202a8b7b06f3f1a5c41ed5 \
    --hash=sha256:9616f0b65a30851e62f1713336c931fcd32c057202b7ff2cfbfca0fc7d5e3043 \
    --hash=sha256:b0d5d35faeb07e22a1ddf8dce620860c8fe145426c02d1a0ae2688c6e8ede36d \
    --hash=sha256:ecc33531a213eee22ad60e0e2aaea6c8ba0021f0cce35dbf0ab03dee6e2a23a1
python-socks==1.1.1 \
    --hash=sha256:263ed7c9c6571cbe234cf69671ffbde6710973bdd49c7e2ab1f22ea38ccbc6e1 \
    --hash=sha256:46e4760b17673a774eed29e4156406da5457a51ff83e7939ce927b1921b83af9
QDarkStyle==2.8.1 \
    --hash=sha256:7cead57817a8a1f38b48d76ef38986b6cc397d0315c0dd0431fcd06749556947 \
    --hash=sha256:d53b0120bddd9e3efba9801731e22ef86ed798bb5fc6a802f5f7bb32dedf0321
qrcode==6.1 \
    --hash=sha256:3996ee560fc39532910603704c82980ff6d4d5d629f9c3f25f34174ce8606cf5 \
    --hash=sha256:505253854f607f2abf4d16092c61d4e9d511a3b4392e60bff957a68592b04369
QtPy==1.9.0 \
    --hash=sha256:2db72c44b55d0fe1407be8fba35c838ad0d6d3bb81f23007886dc1fc0f459c8d \
    --hash=sha256:fa0b8363b363e89b2a6f49eddc162a04c0699ae95e109a6be3bb145a913190ea
setuptools==46.4.0 \
    --hash=sha256:4334fc63121aafb1cc98fd5ae5dd47ea8ad4a38ad638b47af03a686deb14ef5b \
    --hash=sha256:d05c2c47bbef97fd58632b63dd2b83426db38af18f65c180b2423fea4b67e6b8
six==1.15.0 \
    --hash=sha256:30639c035cdb23534cd4aa2dd52c3bf48f06e5f4a941509c8bafd8ce11080259 \
    --hash=sha256:8b74bedcbbbaca38ff6d7491d76f2b06b3592611af620f8426e82dddb04a5ced
typing-extensions==3.7.4.3 \
    --hash=sha256:7cb407020f00f7bfc3cb3e7881628838e69d8f3fcab2f64742a5e76b2f841918 \
    --hash=sha256:99d4073b617d30288f569d3f13d2bd7548c3a7e4c8de87db09a9d29bb3a4a60c \
    --hash=sha256:dafc7639cde7f1b6e1acc0f457842a83e722ccca8eef5270af2d74792619a89f
wheel==0.34.2 \
    --hash=sha256:8788e9155fe14f54164c1b9eb0a319d98ef02c160725587ad60f14ddc57b6f96 \
    --hash=sha256:df277cb51e61359aba502208d680f90c0493adec6f0e848af94948778aed386e
yarl==1.6.3 \
    --hash=sha256:00d7ad91b6583602eb9c1d085a2cf281ada267e9a197e8b7cae487dadbfa293e \
    --hash=sha256:0355a701b3998dcd832d0dc47cc5dedf3874f966ac7f870e0f3a6788d802d434 \
    --hash=sha256:15263c3b0b47968c1d90daa89f21fcc889bb4b1aac5555580d74565de6836366 \

=== contrib/requirements/requirements.txt ===
qrcode
protobuf>=3.12
qdarkstyle<2.9
aiorpcx>=0.18,<0.19
aiohttp>=3.3.0,<4.0.0
aiohttp_socks>=0.3
certifi
bitstring
attrs>=19.2.0

# Note that we also need the dnspython[DNSSEC] extra which pulls in cryptography,
# but as that is not pure-python it cannot be listed in this file!
dnspython>=2.0

=== debian/changelog ===
electrum (4.0.9-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 15 Jan 2021 16:03:10 +0200

electrum (4.0.2-2) unstable; urgency=medium

  * Filter out qdarkstyle dependency (Closes: #969225).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 30 Aug 2020 13:03:14 +0200

electrum (4.0.2-1) unstable; urgency=medium

  * Fix dependencies on python3-{attr,cryptography} (Closes: #968563, #968666).
  * Improve message about PyQt5 (Closes: #917032).
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Set Rules-Requires-Root: no.
  * Use dh-sequence-python3.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 20 Aug 2020 15:57:28 +0200

electrum (4.0.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/gbp.conf: Turn pristine-tar on
  * New upstream version 4.0.2 (Closes: #964635, #964828)
  * debian/control: Adjust the Build-dependencies
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/control: Add python3-qdarkstyle to the Recommends (Closes: #913759)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 23 Jul 2020 14:46:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,45 @@
 Source: electrum
-Maintainer: Tristan Seligmann <mithrandi@debian.org>
+Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
+Uploaders: Tristan Seligmann <mithrandi@debian.org>
 Section: utils
 Priority: optional
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  devscripts,
- dh-python,
+ dh-sequence-python3,
+ libsecp256k1-0,
  pyqt5-dev-tools,
  python3,
- python3-aiohttp,
- python3-aiohttp-socks,
- python3-aiorpcx,
+ python3-aiohttp (>= 3.3.0),
+ python3-aiohttp-socks (>= 0.3),
+ python3-aiorpcx (>= 0.18),
+ python3-attr (>= 19.2.0),
+ python3-bitstring,
  python3-certifi,
+ python3-cryptography,
  python3-dnspython,
- python3-ecdsa,
- python3-jsonrpclib-pelix,
+ python3-ecdsa (>= 0.14),
  python3-pbkdf2,
- python3-protobuf,
+ python3-protobuf (>= 3.12),
  python3-pyaes,
- python3-pycryptodome,
  python3-pyqt5,
  python3-qrcode,
  python3-setuptools,
-Standards-Version: 4.4.0
-Vcs-Git: https://salsa.debian.org/mithrandi/electrum.git
-Vcs-Browser: https://salsa.debian.org/mithrandi/electrum
-Homepage: http://electrum.org/
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/cryptocoin-team/electrum.git
+Vcs-Browser: https://salsa.debian.org/cryptocoin-team/electrum
+Homepage: https://electrum.org/
+Rules-Requires-Root: no
 
 Package: python3-electrum
 Architecture: all
 Section: python
-Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: fonts-dejavu-core, libsecp256k1-0
+Depends:
+ libsecp256k1-0,
+ python3-cryptography (>= 2.1),
+ ${misc:Depends},
+ ${python3:Depends},
+Recommends: fonts-dejavu-core
 Breaks: electrum (<= 2.3.1~), python-electrum (<= 3.0.2~)
 Replaces: electrum (<= 2.3.1~), python-electrum
 Description: Easy to use Bitcoin client - Python module
@@ -49,7 +57,7 @@
  python3-electrum (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
-Recommends: python3-pyqt5
+Recommends: python3-pyqt5, python3-qdarkstyle
 Suggests: python3-btchip, python3-trezor, python3-zbar
 Breaks: python3-electrum (<< 3.2.3-1~)
 Replaces: python3-electrum (<< 3.2.3-1~)

=== debian/rules ===
#!/usr/bin/make -f

# Ignore graphics and .mo files in addition to the default debian files
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(locale/.*/.*\.mo|data/dark/.*\.png|icons/.*\.png|LICENSE|debian/(changelog|copyright(|_hints|_newhints)|electrum.translations))$

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs::
	dh_installchangelogs -k RELEASE-NOTES

execute_after_dh_auto_install::
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/revealer/DejaVuSansMono-Bold.ttf

execute_before_dh_python3::
# The dependency is inconvenient and unnecessary
	sed -Ei -e '/^qdarkstyle/d' debian/python3-electrum/usr/lib/python3*/dist-packages/*.egg-info/requires.txt

=== debian/watch ===
version = 3
opts=repacksuffix=+dfsg1,dversionmangle=s/\+dfsg\d*$//,pgpsigurlmangle=s/$/.asc/ \
    https://download.electrum.org/(\d(?:\.\d)*)/Electrum-(\d(?:\.\d)*)\.tar\.gz

## electrum 4.0.9-1%2B11.0trisquel1

=== debian/changelog ===
electrum (4.0.9-1+11.0trisquel1) aramo; urgency=medium

  * Backported from debian stable

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 29 Jun 2022 03:58:23 +0000

## electrum 4.0.9-1+10.0trisquel1

=== debian/changelog ===
electrum (4.0.9-1+10.0trisquel1) nabia; urgency=medium

  * Backported from debian testing

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 16 Apr 2021 17:38:07 +0000
